Const GFXx = 640, GFXy = 480
Graphics GFXx,GFXy
AutoMidHandle True

HidePointer()

map = LoadAnimImage("mapset.png",640,480,0,10)

cursor = CreateImage(5,5)
SetBuffer( ImageBuffer( cursor ) )
Rect 1,1,3,3
Plot 4,0
Plot 0,4
Plot 4,4
Plot 0,0
SetBuffer( BackBuffer() )

bgimg = LoadImage("bg.png")
timer = CreateTimer(60)

level = 0

Goto menu
.start
While Not KeyDown(1)
	Cls
	
	DrawImage map,GFXx/2,GFXy/2,level
	
	DrawImage cursor,MouseX(),MouseY()
	
	If ImagesCollide( cursor, MouseX(), MouseY(), 0, map, GFXx/2, GFXy/2, level )
		DrawBlock bgimg,GFXx/2,GFXy/2
		Text GFXx/2,GFXy/2,"Collision!",True,True
		Flip
		Delay 2000
		Goto menu
	ElseIf ImageRectOverlap( cursor, MouseX(), MouseY(), 620, 460, 20, 20 )
		DrawBlock bgimg,GFXx/2,GFXy/2
		Text GFXx/2,GFXy/2,"Next Level!",True,True
		Flip
		Delay 2000
		MoveMouse 0,0
		level = level + 1
		If level = 10
			Goto menu
		EndIf
	EndIf
	
	Text GFXx/2,GFXy-50,"LeVeL",True,True
	Text GFXx/2,GFXy-25,level,True,True
	
	WaitTimer timer
	Flip
Wend

.menu
MoveMouse 0,0
While Not KeyDown(1)
	DrawBlock bgimg,GFXx/2,GFXy/2
	
	DrawImage cursor,MouseX(),MouseY()
	
	Text GFXx/2,0,"Mouse Collide!",True,False
	Text GFXx/2,50,"Move the mouse and avoid the walls",True,False
	Text 300,GFXy/2-50,"Start Game"
	Text 300,GFXy/2+50,"Quit  Game"
	
	If ImageRectOverlap( cursor, MouseX(), MouseY(), 300, GFXy/2-50, 100, 15 )
		MoveMouse 0,0
		Goto start
	EndIf
	
	If ImageRectOverlap( cursor, MouseX(), MouseY(), 300, GFXy/2+50, 100, 15 )
		EndGraphics
		End
	EndIf
	
	Delay 50
	Flip
Wend